curl --request PATCH \
--url https://{tenantDomain}/api/v2/experimentation/experiments/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"allocations": [
{
"variation_id": "<string>",
"is_control": true,
"weight": 50,
"segment_id": "<string>",
"priority": 2,
"is_fallback": true
}
]
}
'import requests
url = "https://{tenantDomain}/api/v2/experimentation/experiments/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"allocations": [
{
"variation_id": "<string>",
"is_control": True,
"weight": 50,
"segment_id": "<string>",
"priority": 2,
"is_fallback": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
allocations: [
{
variation_id: '<string>',
is_control: true,
weight: 50,
segment_id: '<string>',
priority: 2,
is_fallback: true
}
]
})
};
fetch('https://{tenantDomain}/api/v2/experimentation/experiments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"feature_flag_id": "<string>",
"authentication_flow": "<string>",
"assignment_config": {
"subject": "device"
},
"is_valid": true,
"allocations": [
{
"variation_id": "<string>",
"segment_id": "<string>",
"weight": 123,
"priority": 123,
"is_control": true,
"is_fallback": true
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"ended_at": "2023-11-07T05:31:56Z"
}Update an experiment.
Partially update an experiment by ID. Only provided fields are updated. Providing allocations replaces the entire allocations set.
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Paramètres de chemin
The ID of the experiment to update.
Corps
Partial update of an experiment. Only provided fields are updated. Providing allocations replaces the entire allocations set.
A human-readable name for the experiment
3 - 255^(?!.*\x00)\S(.*\S)?$A description of the experiment
3 - 1024^(?!.*\x00)\S(.*\S)?$Configuration for how users are assigned to variations
Show child attributes
Show child attributes
Replaces all traffic allocations. Cannot be modified while the experiment is active.
1Show child attributes
Show child attributes
Réponse
Experiment successfully updated.
^exp_[A-HJ-NP-Za-km-z1-9]+$percentage, segment Show child attributes
Show child attributes
Filter by status. Exact match.
draft, active, paused, completed, archived Show child attributes
Show child attributes
Cette page vous a-t-elle été utile ?